/*
 * @Author: lizheguang
 * @Date: 2020-07-24 13:56:24
 * @LastEditTime: 2020-09-17 19:08:15
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /vue-cli-plugin-rx/generator/index.js
 */

module.exports = (api, options, rootOptions) => {
  // 增加package
  api.extendPackage({
    devDependencies: {
      stylelint: "^13.6.1",
      "stylelint-webpack-plugin": "^2.1.0",
      "stylelint-config-standard": "^20.0.0",
    },
  });
  // 创建 stylelintrc.json文件
  api.onCreateComplete(() => {
    const fs = require("fs");
    fs.writeFile(
      api.resolve("./.stylelintrc.json"),
      `{"extends": "stylelint-config-standard"}`,
      (error) => {
        if (error) {
          console.log(error);
          return false;
        }
      }
    );
  });
};
