/*
 * @Author: LIZHEGUANG
 * @Date: 2020-07-22 20:28:12
 * @LastEditTime: 2020-11-19 18:35:38
 * @LastEditors: LiZheGuang
 * @Description: In User Settings Edit
 * @FilePath: /vue-cli-plugin-cactus-stylelint/index.js
 */

const StylelintPlugin = require("stylelint-webpack-plugin");
const STYLELINT = {
  fix: false,
  files: "./src/**/*.(vue|css|styl|scss|less)",
};
module.exports = (api, options) => {
  api.chainWebpack((webpackConfig) => {
    webpackConfig
      .plugin("stylelint-webpack-plugin")
      .use(StylelintPlugin, [STYLELINT]);
  });
};
